module global
  integer                              :: ndim, nvol, nvcell, lvec
  integer, dimension(:), allocatable   :: lsize
  integer, dimension(:,:), allocatable :: nn, nnstep, nnflag
end module global
